%define version 1.9.4
%define release %mkrel 3

Summary:	Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Name:		workrave
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Accessibility
URL:		http://www.workrave.org/
Source0:	http://prdownloads.sourceforge.net/workrave/%{name}-%{version}.tar.gz
Patch1:		workrave-1.9.4-automake-1.13.patch
Patch2:		workrave-1.9.4-desktop-file-syntax.patch
BuildRequires:	doxygen
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libgnet2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxtst-devel
BuildRequires:  gstreamer0.10-devel
BuildRequires:  intltool
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	libtool

Obsoletes:      %name-gnome-applet < 1.9.4

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

%package	gnome-applet
Summary:	Workrave GNOME applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-applet <= 1.6.2

%description	gnome-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.

%prep
%setup -q
%patch1 -p1 -b .automake-1_13
%patch2 -p1 -b .semicolon
touch ChangeLog

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
	--enable-app-text=no	\
	--enable-distribution=yes \
	--enable-gconf=yes	\
	--enable-dbus=yes	\
	--disable-rpath		\
	--disable-xml \
	--disable-gnome \
	--disable-kde
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

#
# icons
#
install -m0644 -D frontend/common/share/images/workrave-icon-huge.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/workrave-icon-large.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/workrave-icon-small.png %{buildroot}%{_miconsdir}/%{name}.png

#
# menu entry
#

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/dbus-1/services/org.workrave.Workrave.service
%{_iconsdir}/*/*/*/*
%{_datadir}/sounds/workrave/


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.9.4-3.mga3
+ Revision: 385847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.9.4-2.mga3
+ Revision: 337970
- patch2: fix bundled desktop file categories syntax
- drop mga specific desktop file
- patch1: fix build with automake 1.13

* Fri Jul 08 2011 fwang <fwang> 1.9.4-1.mga2
+ Revision: 120336
- br xtst

  + dmorgan <dmorgan>
    - New version 1.9.4
    - disable gnome ( does not compile with gnome 3)
    - Rebuild against new libpanel-applet

* Sun Apr 10 2011 dmorgan <dmorgan> 1.9.0-3.mga1
+ Revision: 82982
- Remove mdv macros
- imported package workrave

